Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002315Piwigosecuritypublic2011.05.30 11:552013.02.19 22:25
Reporterlecden 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2.1 
Target VersionFixed in Version2.5.0RC1 
Summary0002315: avoid pwg_high hot linking for real rights management and commercial stock photography purposes.
DescriptionPiwigo should show a virtual path/url picture in place of the real one to disable hotlinking from the pwg_high folder that is known just by added /pwg_high/ to the displayed picture url (when existing).

TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0005167)
plg (manager)
2011.05.31 22:28

I agree. A logical path would be more secure to prevent access on HD (at least a path harder to find than just adding /pwg_high/)

- Issue History
Date Modified Username Field Change
2011.05.30 11:55 lecden New Issue
2011.05.30 11:55 lecden browser => any
2011.05.30 11:55 lecden Web server => Apache 1.3.x
2011.05.31 22:28 plg Note Added: 0005167
2013.02.19 22:25 flop25 Status new => closed
2013.02.19 22:25 flop25 Resolution open => fixed
2013.02.19 22:25 flop25 Fixed in Version => 2.5.0RC1


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker